document.getElementById('tradeForm').addEventListener('submit', function(e) {
  e.preventDefault();
  
  const pair = document.getElementById('pair').value;
  const direction = document.getElementById('direction').value;
  const entry = parseFloat(document.getElementById('entry').value);
  const exit = parseFloat(document.getElementById('exit').value);
  const notes = document.getElementById('notes').value;
  
  const profitLoss = ((exit - entry) * (direction === 'buy' ? 1 : -1)).toFixed(4);
  
  const newRow = document.createElement('tr');
  newRow.innerHTML = `
    <td>${new Date().toLocaleDateString()}</td>
    <td>${pair}</td>
    <td>${direction}</td>
    <td>${entry}</td>
    <td>${exit}</td>
    <td class="${profitLoss >= 0 ? 'positive' : 'negative'}">${profitLoss}</td>
    <td>${notes}</td>
  `;
  
  document.getElementById('tradeTable').querySelector('tbody').appendChild(newRow);
  
  this.reset();
});

// Add styling for profit/loss
const style = document.createElement('style');
style.textContent = `
  .positive { color: #4ade80; }
  .negative { color: #f87171; }
`;
document.head.appendChild(style);